EDIT - bug #9634

Update AgentBase and DescriptiveDataSet titleCache length where needed

05/27/2021 03:55 PM - Andreas Miller

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Andreas Muller % Done: 100%
Category: cdm Estimated time: 0:00 hour
Target version: Release 5.25

Severity: normal Found in Version:

Description

In some databases the AgentBase titleCache has only length 255, not 800. Also the DescriptiveDataSet titleCache has usually only
255, not 800. This needs to be updated. On production AgentBase and DescriptiveDataSet and both it's AUD tables have already

been fixed.

ALTER TABLE " AgentBase’®

CHANGE COLUMN "“titleCache’ "titleCache’

i' AFTER "protectedtitlecache’;
ALTER TABLE " AgentBase_AUD"

CHANGE COLUMN "titleCache” "titleCache’

i' AFTER “protectedtitlecache’;

ALTER TABLE "DescriptiveDataSet"

CHANGE COLUMN "titleCache’ "titleCache’

i' AFTER "protectedTitleCache’;
ALTER TABLE "DescriptiveDataSet_AUD"

CHANGE COLUMN "titleCache® "titleCache’

i' AFTER "protectedTitleCache’;

VARCHAR (800)

VARCHAR (800)

VARCHAR (800)

VARCHAR (800)

The above is only for MySQL. Maybe it is enough to udpate MySQL.

Statement to find open issues on MySQL:

SELECT *
FROM COLUMNS c

NULL

NULL

NULL

NULL

DEFAULT NULL

DEFAULT NULL

DEFAULT NULL

DEFAULT NULL

WHERE c.COLUMN_NAME = 'titleCache' AND c.CHARACTER_MAXIMUM_LENGTH <> 800

ORDER BY c¢.TABLE_SCHEMA, c.TABLE_NAME

COLLATE

COLLATE

COLLATE

COLLATE

'ut£8_general_c

'ut£8_general_c

'ut£8_general_c

'utf8_general_c

Associated revisions

Revision b69c47b9 - 06/25/2021 10:21 AM - Andreas Miiller
ref #9634 Increase size for AgentBase.titleCache to 800

History

#1 - 05/27/2021 04:10 PM - Andreas Miuller

- Description updated

#2 - 06/16/2021 10:17 PM - Andreas Miiller
- Status changed from New to Resolved

- % Done changed from 0 to 50

#3 - 06/25/2021 05:59 PM - Andreas Miiller
- Target version changed from CDM UML 5.43 to Release 5.25

#4 - 07/01/2021 03:56 PM - Andreas Miiller
- Status changed from Resolved to Closed

- % Done changed from 50 to 100
| did run the "find open issue" statement on edit-test and edit-integration and could not find any open issues except for those which have not been
updated yet via schema update (cdm_pesi_erms, cdm_pesi_euromed, cdm_rl_plantae).

So | think we can close the ticket as the update script works.
